dcmpsrcv(1)

NAME
dcmpsrcv - Network receive for presentation state viewer

SYNOPSIS

dcmpsrcv [options] config-file

DESCRIPTION

The dcmpsrcv application is invoked by the Grayscale Softcopy Presentation State Viewer and is not intended to be invoked manually. The application reads the common configuration file which is shared between the different components of the viewer and opens a TCP/IP socket on which incoming association requests are accepted. The application sparks a separate process for each DICOM connection. It supports the same storage SOP classes as the storescp utility as SCP, but does not support encapsulated transfer syntaxes. Incoming images are stored in the common viewer database. See the full conformance statement for further details.

PARAMETERS

config-file  configuration file to be read

OPTIONS

  general options

  -h  --help
        print this help text and exit
      --version
        print version information and exit
  -v  --verbose
        verbose mode, print processing details
  -d  --debug
        debug mode, print debug information
  -t  --terminate
        terminate all running receivers

COMMAND LINE

All command line tools use the following notation for parameters: square brackets enclose optional values (0-1), three trailing dots indicate that multiple values are allowed (1-n), a combination of both means 0 to n values.

Command line options are distinguished from parameters by a leading '+' or '-' sign, respectively. Usually, order and position of command line options are arbitrary (i.e. they can appear anywhere). However, if options are mutually exclusive the rightmost appearance is used. This behaviour conforms to the standard evaluation rules of common Unix shells.

In addition, one or more command files can be specified using an '@' sign as a prefix to the filename (e.g. @command.txt). Such a command argument is replaced by the content of the corresponding text file (multiple whitespaces are treated as a single separator) prior to any further evaluation. Please note that a command file cannot contain another command file. This simple but effective approach allows to summarize common combinations of options/parameters and avoids longish and confusing command lines (an example is provided in file share/data/dumppat.txt).

ENVIRONMENT

The dcmpsrcv utility will attempt to load DICOM data dictionaries specified in the DCMDICTPATH environment variable. By default, i.e. if the DCMDICTPATH environment variable is not set, the file <PREFIX>/lib/dicom.dic will be loaded unless the dictionary is built into the application (default for Windows).

The default behaviour should be preferred and the DCMDICTPATH environment variable only used when alternative data dictionaries are required. The DCMDICTPATH environment variable has the same format as the Unix shell PATH variable in that a colon (':') separates entries. The data dictionary code will attempt to load each file specified in the DCMDICTPATH environment variable. It is an error if no data dictionary can be loaded.

FILES

etc/dcmpstat.cfg - sample configuration file

SEE ALSO

dcmpssnd(1), storescp(1)

COPYRIGHT

Copyright (C) 1998-2004 by Kuratorium OFFIS e.V., Escherweg 2, 26121 Oldenburg, Germany.